#ifndef _LED_H_
#define _LED_H_
#define LED_DEBUG
#define MAX_NUM_OF_LEDS 2
#define LED_GREEN 0
#define LED_RED 1
#define LED_YELLOW 2	/* not used now */
#define LED_BIT_PERIOD_IN_MS 100

typedef struct
{
	GPIO_TypeDef* GPIO_Port;
	uint16_t GPIO_Pin;
	uint16_t Timer;
	uint16_t State;
} LEDInfo_TypeDef;

extern LEDInfo_TypeDef LED[MAX_NUM_OF_LEDS];
void LED_Init(GPIO_TypeDef* GPIOx, uint16_t GPIO_Pin, uint8_t led);
void LED_SetState(uint8_t led, uint16_t state);
void LED_Handler(void);

#endif
