/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TSENSOR_H_
#define __TSENSOR_H_

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "board.h"
#include "Components/sht31dis/sht31dis.h"

typedef enum
{
  TSENSOR_OK = 0,
  TSENSOR_ERROR
} TSENSOR_Status_TypDef;

/* Sensor Configuration Functions */
uint32_t BSP_TSENSOR_Init(void);
float    BSP_TSENSOR_ReadTemperature(void);

#ifdef __cplusplus
}
#endif

 #endif
